View Issue Details

IDProjectCategoryView StatusLast Update
0005028VALENTINA SERVERini-filepublic2014-11-12 13:28
ReporterRuslan ZasukhinAssigned ToIvan Smahin 
PriorityurgentSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformALLOSALLOS VersionALL
Product Version4.7 
Target Version4.8Fixed in Version4.8 
Summary0005028: VSERVER uses INI file name as source. As result some glitches and not enough smart.
DescriptionThis is follow to issue 0005027.


okay, I have found problem.

Really if make copy of VServer_Office_x64.ini and name it VServer_Office.ini
then on the next start VServer finds this copy,
and start to use ITS NAME as default name !!
For example, it create LOG file also without x64 prefix.


I will create new issue now and will close this current.
Steps To ReproducePROBLEM IS:

* right now VSERVER on start search for INI file in the its directory. Algorithm expect that only one INI file exists in folder. BUG 1 btw ..

And if few INI files present then first by alphabet will be used.


PROBLEM IS:

that vserver uses NAME of INI file as internal NAME,
which later is used for LOGs and other things.


NOT COMFORTABLE NOW is that if user want own name,
he must change both the name of executable and name of INI file to be the same.


PROBLEM IS:

that if no any ini file in the folder, and name of executable changed to e.g. MyBoomerServer
then new ini file will be created with name VServer_Office.ini and this is another bug, which in fact kills the idea to provide own names for user.

Additional InformationSOLUTION:

We must implement actually for each of 3 platforms, single method
something like this
   String GetExecutableName()

and use IT as internal name ...

* then logs will get correct names

* then absent ini file will be produced with name of executable ALWAYS

* then we can get one more bonus - we can remove from installers ini files with default settings, which we need update each time for 3 platforms, when a new setting is added. Because after install new FRESH correct INI filewith correct name (vserver_Office or VServer_Embedded or .. ) will be created.


* then this problem with TWO ini files in the same folder will go away, because ALWAYS will be used ini file with name of EXECUTABLE.


4 nasty problems can be solved !!! cool :-)
TagsNo tags attached.

Relationships

child of 0005027 resolvedRuslan Zasukhin INI File hassle ... 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2010-08-14 12:52 Ruslan Zasukhin New Issue
2010-08-14 12:53 Ruslan Zasukhin Relationship added child of 0005027
2010-08-15 11:51 Ivan Smahin Status assigned => resolved
2010-08-15 11:51 Ivan Smahin Fixed in Version => 4.8
2010-08-15 11:51 Ivan Smahin Resolution open => fixed